config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.redis.new:
if [ -e etc/rc.d/rc.redis ]; then
  cp -a etc/rc.d/rc.redis etc/rc.d/rc.redis.new.incoming
  cat etc/rc.d/rc.redis.new > etc/rc.d/rc.redis.new.incoming
  mv etc/rc.d/rc.redis.new.incoming etc/rc.d/rc.redis.new
fi

config etc/redis/redis.conf.new
config etc/redis/sentinel.conf.new
config etc/logrotate.d/redis.new
config etc/rc.d/rc.redis.new

# Create redis user / group
if chroot . getent group redis >/dev/null
then
  : redis group already present
else
  GROUPOPT="-g 198"
  if chroot . groupadd $GROUPOPT redis 2>/dev/null
  then
    : redis group successfully added
  else
    chroot . groupadd redis
  fi
fi

if chroot . getent passwd redis >/dev/null
then
  : redis user already present
else
  USEROPT="-g redis -u 198 -d /var/lib/redis"
  if chroot . useradd $USEROPT redis 2>/dev/null
  then
    : redis user successfully added
  else
    chroot . useradd redis
  fi
fi

( cd usr/bin ; rm -rf redis-check-aof )
( cd usr/bin ; ln -sf redis-server redis-check-aof )
( cd usr/bin ; rm -rf redis-check-rdb )
( cd usr/bin ; ln -sf redis-server redis-check-rdb )
( cd usr/bin ; rm -rf redis-sentinel )
( cd usr/bin ; ln -sf redis-server redis-sentinel )
